d("MyAutoPayModel",['ccrz', 'log'], function(CCRZ,log) {     
      
    /*Backbone model leveraged on this page.*/
    
    CCRZ.models.MyAutoPayModel = CCRZ.CloudCrazeModel.extend({
        className : 'ORBCB2B_Checkout_Controller',
        fetchPublicKey : function(reqData,callback){
            debugger;
            this.invokeCtx(
                "generatePublicKey",reqData,
                function(response, event){
                    console.log('response '+response);
                    callback(response, event);
                },
                {
                    buffer:false,
                    nmsp : false,
                    escape : false
                })
        },
        getContactmailingAddress : function(callback){
            this.invokeCtx(
                "getContactmailingAddress",
                function(response, event){
                    console.log('response '+response);
                    callback(response, event);
                    CCRZ.geoCodes = new CCRZ.models.GeoModel();
                        
                    CCRZ.geoCodes.fetch(function() {
                        
                    });
                },
                {
                    buffer:false,
                    nmsp : false,
                    escape : false
                })
        },
        getInvoiceTypes : function(callback){
            this.invokeCtx(
                "getInvoiceTypes",
                function(response, event){
                    console.log('Portal Types---> '+ JSON.stringify(response));
                    callback(response, event);
                },
                {
                    buffer:false,
                    nmsp : false,
                    escape : false
                })
        },
        getJDECompanies : function(callback){
            this.invokeCtx(
                "getJDECompanies",
                function(response, event){
                    console.log('ORBCOMM Companies---> '+response);
                    callback(response, event);
                },
                {
                    buffer:false,
                    nmsp : false,
                    escape : false
                }
            )
        },
        getExistingAutoPay : function(callback){
            this.invokeCtx(
                "getExistingAutoPay",
                function(response, event){
                    console.log('Active AutoPays '+response);
                    callback(response, event);
                },
                {
                    buffer:false,
                    nmsp : false,
                    escape : false
                }
            )
        },
        getStoredPayments : function(reqData,callback){
            console.log('APgSP');
            this.invokeCtx(
                "getAutoPayStoredPayments",reqData,
                function(response, event){
                    console.log('related stored---> '+response);
                    callback(response, event);
                },
                {
                    buffer:false,
                    nmsp : false,
                    escape : false
                }
            )
        },
        createAutoPay : function(reqData,callback){
            this.invokeCtx(
                "createAutoPay",reqData,
                function(response, event){
                    console.log('related stored---> '+JSON.stringify(response));
                    callback(response, event);
                },
                {
                    buffer:false,
                    nmsp : false,
                    escape : false
                }
            )
        },
        deleteAutoPay :function(reqData,callback){
            this.invokeCtx(
                "deleteAutPay",reqData,
                function(response, event){
                    console.log('delete stored---> '+response);
                    callback(response, event);
                },
                {
                    buffer:false,
                    nmsp : false,
                    escape : false
                }
            )
        }
    });       
    return CCRZ.models.MyAutoPayModel; 
});